import { ExecutionContext } from '@essential-projects/core_contracts';
import { IMessageBusService } from '@essential-projects/messagebus_contracts';
import { INodeDefEntity, IUserTaskEntity } from '@process-engine/process_engine_contracts';
import { IProcessable, IProcessInstance } from './interfaces';
export declare class ProcessInstance implements IProcessInstance {
    private _messageBusService;
    private _processKey;
    private _processable;
    private _participantSubscription;
    private _nextTaskDef;
    private _nextTaskEntity;
    private _taskChannelName;
    private _tokenData;
    private _participantId;
    private _eventSubscription;
    private _eventChannelName;
    constructor(processKey: string, messageBusService: IMessageBusService, processable: IProcessable);
    readonly messageBusService: IMessageBusService;
    readonly processable: IProcessable;
    readonly processKey: string;
    nextTaskDef: INodeDefEntity;
    nextTaskEntity: IUserTaskEntity;
    taskChannelName: string;
    readonly eventChannelName: string;
    readonly participantId: string;
    readonly tokenData: any;
    start(context: ExecutionContext, token?: any): Promise<IProcessInstance>;
    continueProcess(userTaskEntity: IUserTaskEntity, context: ExecutionContext): Promise<IProcessInstance>;
    stop(): Promise<void>;
    restart(context: ExecutionContext, token?: any): Promise<void>;
    doCancel(context: ExecutionContext): Promise<void>;
    doEvent(context: ExecutionContext, eventData?: any): Promise<void>;
    doError(context: ExecutionContext, error: any): Promise<void>;
    doProceed(context: ExecutionContext): Promise<void>;
    private _listenToParticipantChannel();
    private _evaluateAction(action, messageData);
    private _setNewTask(taskMessageData);
}
